selected = false
muted = false
midiChan = 0

gfx.init("Xsample",1,1)

gfx.x = gfx.mouse_x
gfx.y = gfx.mouse_y

input = gfx.showmenu("1 Vibrato MW|2 Senza Vibrato MW|3 Staccato Velocity 1 MW Shape|4 Staccato Velocity 2 MW Shape|5 Flutter Tongue MW|6 Multiphonics Velocity|7 Crow On Reed Velocity MW Shape|8 Key Noises Velocity|9 Various Noises Velocity|10 Air Noises Velocity CC4|11 Vibrato Velocity|12 Senza Vibrato Velocity|13 Flutter Tongue Velocity|14 Vibrato - Senza Vibrato Velocity X MW|15 Vibrato + Senza Vibrato MW 2 dimensional X CC2|16 Triple Tongue 16T|17 Senza Vibrato + Flutter Tongue Velocity X MW|18 Vibrato + Flutter Tongue Velocity X MW|19 Staccato Velocity|20 With Accent Velocity|21 Multiphonics MW|22 Crow On Reed Velocity|23 Air Noises MW|24 Undefined Tones Velocity|25 Crescendo Espressivo|26 Crescendo|27 Portato Velocity|28 Secco Velocity|29 Vibrato to Senza Vibrato Velocity|30 Senza Vibrato to Vibrato Velocity|31 Vibrato Velocity + MW inverted|32 Senza Vibrato Velocity + MW inverted|33 Pseudo Bassoon Velocity + MW inverted|34 Pseudo Bassoon Staccato Velocity|35 Pseudo Oboe Velocity + MW inverted|36 Pseudo Oboe Staccato Velocity||")
if input >= 0 then 

function main() 
  take = reaper.MIDIEditor_GetTake(reaper.MIDIEditor_GetActive())
  if take == nil then return end
  item = reaper.GetMediaItemTake_Item(take)
  pos = reaper.GetCursorPosition() 
  ppq = reaper.MIDI_GetPPQPosFromProjTime(take, pos)
  
  MSB = 0
  LSB = 0
  PC  = 0
  
  if input ~= 0 then
  
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xB0,-- midi CC
    midiChan,
    0, -- controller #0: Bank Select MSB
    input-1 -- MSB value
  )
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xB0,-- midi CC
    midiChan,
    32, -- controller #32: Bank Select LSB
    0 -- LSB value
  )
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xC0,-- Program Change
    midiChan,
    PC, -- program change value
    0
  )
  end
  reaper.UpdateItemInProject(item)   
end
end

script_title = "Xsample Acoustic Instruments"
reaper.Undo_BeginBlock()
main()
reaper.Undo_EndBlock(script_title, 0)
